Redmine - Patch #3123

Check additional mail headers when creating issues via email
2009-04-05 17:54 - Duncan Harris

Status: Needs feedback Start date: 2009-04-05
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version:

Description

We have a setup with Redmine where users often send mail using different from addresses in the email. We use Google Apps for

email, but this would apply to other mail systems where users can set up multiple from addresses in their email.

If users send email with a different from address than their registered one then Redmine ignores the incoming email.

To fix this issue | created the attached modification which checks the mail headers "Return-Path", "Sender" and finally "From" (as

before) for a match to a user account.

The "Return-Path" header relies on getting mail server to set this to the envelope sender address. | use the preline program with

gmail to get this set.

This works because Google Apps email (and GMail) always set the Sender and envelope sender addresses to the users main or

canonical email address even if they choose a different "From" address.

History

#1 - 2009-04-21 10:28 - Duncan Harris
- Assignee set to Jean-Philippe Lang

Thought maybe | should assign this as didn't hear anything. Hope this is the right thing to do.

#2 - 2009-04-29 11:13 - Duncan Harris

By the way the patch was based on revision r2659

#3 - 2009-11-28 13:18 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#4 - 2016-12-25 15:46 - Go MAEDA

- Status changed from New to Needs feedback

Redmine now supports multiple email addresses for each user (#4244).

| think we can use the feature to resolve the problem described in this issue, so we don't have to implement this.
